<?php
namespace openkm\bean;

class LocalDateTime {
    
    private $nano;
    private $hour;
    private $minute;
    private $second;
    private $year;
    private $month;
    private $dayOfMonth;
    private $dayOfWeek;
    private $dayOfYear;
    private $monthValue;
    private $type;
    private $id;
    
    public function __construct() {
        
    }
    
    public function getNano() {
        return $this->nano;
    }

    public function getHour() {
        return $this->hour;
    }

    public function getMinute() {
        return $this->minute;
    }

    public function getSecond() {
        return $this->second;
    }

    public function getYear() {
        return $this->year;
    }

    public function getMonth() {
        return $this->month;
    }

    public function getDayOfMonth() {
        return $this->dayOfMonth;
    }

    public function getDayOfWeek() {
        return $this->dayOfWeek;
    }

    public function getDayOfYear() {
        return $this->dayOfYear;
    }

    public function getMonthValue() {
        return $this->monthValue;
    }

    public function getType() {
        return $this->type;
    }

    public function getId() {
        return $this->id;
    }

    public function setNano($nano): void {
        $this->nano = $nano;
    }

    public function setHour($hour): void {
        $this->hour = $hour;
    }

    public function setMinute($minute): void {
        $this->minute = $minute;
    }

    public function setSecond($second): void {
        $this->second = $second;
    }

    public function setYear($year): void {
        $this->year = $year;
    }

    public function setMonth($month): void {
        $this->month = $month;
    }

    public function setDayOfMonth($dayOfMonth): void {
        $this->dayOfMonth = $dayOfMonth;
    }

    public function setDayOfWeek($dayOfWeek): void {
        $this->dayOfWeek = $dayOfWeek;
    }

    public function setDayOfYear($dayOfYear): void {
        $this->dayOfYear = $dayOfYear;
    }

    public function setMonthValue($monthValue): void {
        $this->monthValue = $monthValue;
    }

    public function setType($type): void {
        $this->type = $type;
    }

    public function setId($id): void {
        $this->id = $id;
    }
}